-- tables.sql

create table hugo_input (data jsonb);

create table hugo_text (
	site text,
	url text,
	title text,
	content text,
	title_tsv tsvector generated always as 
		(to_tsvector('german', title)) stored,
	content_tsv tsvector generated always as 
		(to_tsvector('german', content)) stored,
	primary key (site, url)
);

create index title_tsv_idx on hugo_text using gin (title_tsv);
create index content_tsv_idx on hugo_text using gin (content_tsv);

